package cd.casic.module.machine.enums;

import cd.casic.framework.commons.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum MachineProxyType implements IntArrayValuable {
    HTTP(1, "http"),
    SOCKS4(2, "socks4"),
    SOCKS5(3, "socks5");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(MachineProxyType::getCode).toArray();

    /**
     * 状态值
     */
    private final Integer code;
    /**
     * 状态名
     */
    private final String message;


    @Override
    public int[] array() {
        return ARRAYS;
    }
}
